Company Overview
curl --request POST \
--url https://api.reportify.cn/v1/stock/company-overview \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"symbols": "HK:00700,US:AAPL",
"names": "腾讯,苹果"
}
'import requests
url = "https://api.reportify.cn/v1/stock/company-overview"
payload = {
"symbols": "HK:00700,US:AAPL",
"names": "腾讯,苹果"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({symbols: 'HK:00700,US:AAPL', names: '腾讯,苹果'})
};
fetch('https://api.reportify.cn/v1/stock/company-overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 123,
"code": 123,
"message": "<string>",
"data": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}公司信息
Company Overview
Comprehensive search of company information, covering fundamental details, business overview, executive profiles and more
POST
/
v1
/
stock
/
company-overview
Company Overview
公司概览
URL:/v1/stock/company-overview
方法: POST描述: 获取公司综合信息,包括基本面和业务概览。
请求参数
| 参数名 | 类型 | 必填 | 描述 |
|---|---|---|---|
| symbols | str | 否 | 股票代码,支持多个,用逗号分隔,如 00700,AAPL |
| names | str | 否 | 股票名称,支持多个,用逗号分隔,如 腾讯,苹果 |
symbols 和 names 至少需要提供一个参数。响应参数
| 参数名 | 类型 | 描述 |
|---|---|---|
| status | int | HTTP 状态码。 |
| code | int | 响应代码(0 表示成功)。 |
| message | str | 响应消息。 |
| data | object | 公司信息数据。 |
| country | str | 注册国家/地区代码。 |
| nature_of_company | str | 公司性质。 |
| fiscal_year_end | str | 财年结束日期(MM-DD)。 |
| city | str | 所在城市。 |
| stockList | array | 股票列表信息。 |
| stock_full_name | str | 股票全称。 |
| market | str | 市场代码。 |
| symbol | str | 股票代码。 |
| stock_english_name | str | 股票英文名称。 |
| industry_HS_1 | str | 行业分类一级。 |
| industry_HS_2 | str | 行业分类二级。 |
| stock_name | str | 股票名称。 |
| asset_class | str | 资产类别。 |
| stock_english_full_name | str | 股票英文全称。 |
| exchange | str | 交易所代码。 |
| industry_HS_3 | str | 行业分类三级。 |
| ipo_date | str | IPO 日期(YYYY-MM-DD)。 |
| company_english_full_name | str | 公司英文全称。 |
| province | str | 省份/地区。 |
| fax | str | 传真号码。 |
| str | 联系邮箱。 | |
| website | str | 公司网站。 |
| address | str | 注册地址。 |
| company_english_name | str | 公司英文名称。 |
| telephone | str | 联系电话。 |
| registration_date | str | 注册日期(YYYY-MM-DD)。 |
| office_address | str | 办公地址。 |
| board_secretary | str | 董事会秘书。 |
| company_name | str | 公司名称。 |
| company_full_name | str | 公司全称。 |
| main_business | str | 主营业务。 |
请求示例
cURLcurl -X POST https://api.reportify.cn/v1/stock/company-overview \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"symbols": "00700,AAPL"
}'
import requests
url = "https://api.reportify.cn/v1/stock/company-overview"
headers = {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json"
}
# 通过股票代码查询
data = {"symbols": "00700,AAPL"}
# 或者通过股票名称查询
# data = {"names": "腾讯,苹果"}
response = requests.post(url, headers=headers, json=data)
print(response.json())
响应示例
{
"status": 200,
"code": 0,
"message": "",
"data": {
"country": "CYM",
"nature_of_company": "民营企业",
"fiscal_year_end": "12-31",
"city": "开曼群岛",
"stockList": [
{
"stock_full_name": "腾讯控股有限公司",
"market": "HK",
"symbol": "00700",
"stock_english_name": "TENCENT",
"industry_HS_1": "资讯科技业",
"industry_HS_2": "软件服务",
"stock_name": "腾讯控股",
"asset_class": "H shares",
"stock_english_full_name": "Tencent Holdings Limited",
"exchange": "HK",
"industry_HS_3": "数码解决方案服务",
"ipo_date": "2004-06-16"
}
],
"company_english_full_name": "Tencent Holdings Limited",
"province": "开曼群岛",
"fax": "852-25290222",
"email": "ir@tencent.com",
"website": "www.tencent.com",
"address": "Cricket Square Hutchins Drive, P.O.Box 2681 Grand Cayman KY1-1111 Cayman Islands",
"company_english_name": "TENCENT",
"telephone": "(86-755)86013388 转 87329",
"registration_date": "2004-03-26",
"office_address": "香港德辅道中166-168号E168大厦4楼A室",
"board_secretary": "刘淑仪",
"company_name": "腾讯控股",
"company_full_name": "腾讯控股有限公司",
"main_business": "在中国为用户提供互联网增值服务、移动及电信增值服务、网络广告服务以及电子商务交易服务。"
}
}
错误响应
| 状态码 | 描述 |
|---|---|
| 422 | 请求参数验证失败。 |
Authorizations
Enter your Bearer token
Body
application/json
⌘I
